Unpublish an article (revert to draft)
curl --request PATCH \
--url https://www.citedy.com/api/agent/articles/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"action": "unpublish"
}
'import requests
url = "https://www.citedy.com/api/agent/articles/{id}"
payload = { "action": "unpublish" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({action: 'unpublish'})
};
fetch('https://www.citedy.com/api/agent/articles/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"article_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "generated",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "Conflict",
"message": "Cannot unpublish article with status \"generated\""
}{
"error": "<string>",
"message": "<string>"
}Articles
Unpublish an article (revert to draft)
Set article status back to ‘generated’. The article remains in the system but is removed from the public blog. Only articles with status ‘published’ can be unpublished; attempting to unpublish an article in any other status returns 400.
PATCH
/
api
/
agent
/
articles
/
{id}
Unpublish an article (revert to draft)
Authorizations
Bearer citedy_agent_* key
Path Parameters
Article ID
Body
application/json
Available options:
unpublish ⌘I
